Package org.eclipse.m2m.atl.emftvm.trace

## Interface TraceFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TraceFactoryImpl`

    public interface TraceFactory
    extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `TracePackage`

### Field Summary

Fields
`static TraceFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`SourceElement` `createSourceElement()` Returns a new object of class 'Source Element'.
`SourceElementList` `createSourceElementList()` Returns a new object of class 'Source Element List'.
`TargetElement` `createTargetElement()` Returns a new object of class 'Target Element'.
`TracedRule` `createTracedRule()` Returns a new object of class 'Traced Rule'.
`TraceLink` `createTraceLink()` Returns a new object of class 'Link'.
`TraceLinkSet` `createTraceLinkSet()` Returns a new object of class 'Link Set'.
`TracePackage` `getTracePackage()` Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eINSTANCE

    static final TraceFactory eINSTANCE

The singleton instance of the factory.

### Method Detail

#### createTraceLinkSet

    TraceLinkSet createTraceLinkSet()

Returns a new object of class 'Link Set'.

Returns:
  a new object of class 'Link Set'.

#### createTracedRule

    TracedRule createTracedRule()

Returns a new object of class 'Traced Rule'.

Returns:
  a new object of class 'Traced Rule'.

#### createTraceLink

    TraceLink createTraceLink()

Returns a new object of class 'Link'.

Returns:
  a new object of class 'Link'.

#### createSourceElement

    SourceElement createSourceElement()

Returns a new object of class 'Source Element'.

Returns:
  a new object of class 'Source Element'.

#### createTargetElement

    TargetElement createTargetElement()

Returns a new object of class 'Target Element'.

Returns:
  a new object of class 'Target Element'.

#### createSourceElementList

    SourceElementList createSourceElementList()

Returns a new object of class 'Source Element List'.

Returns:
  a new object of class 'Source Element List'.

#### getTracePackage

    TracePackage getTracePackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.